New OTItemEditor

FLE

Active Member
Joined
Oct 5, 2008
Messages
428
Best answers
0
Reaction score
25
Location
Vancouver Canada
@EdMignari

Hey bro is it not possible too edit some items attributes?
like say i made some duplicates... and i want them too be stackable or useable...

How come it gets highlighted in red when i change these values?
also i get debugs ingame when i try too use these items.
I am using tfs 1.1
 

dkangel83

Member
Joined
Mar 31, 2010
Messages
102
Best answers
0
Reaction score
8
Location
Brazil
@EdMignari

hiho morning/aftie/eve :)
Thanks for man but ..well, it says support 10.77 but when i try to load an item.otbm from 10.77 (remere's map editor item.otbm data/1077 folder) it says

"Could not find a plugin that could handle client version 58"

and when i try to load 10.76 is ask for 10.76 client and when i do i receive the msg

"unsupported version
Dat Signature 37DF
Spr Signature 54F03CE9"

what to do?!
 
OP
EdMignari

EdMignari

Veteran OT User
Joined
Jan 8, 2011
Messages
193
Best answers
0
Reaction score
337
@EdMignari

hiho morning/aftie/eve :)
Thanks for man but ..well, it says support 10.77 but when i try to load an item.otbm from 10.77 (remere's map editor item.otbm data/1077 folder) it says

"Could not find a plugin that could handle client version 58"

and when i try to load 10.76 is ask for 10.76 client and when i do i receive the msg

"unsupported version
Dat Signature 37DF
Spr Signature 54F03CE9"

what to do?!
Hi
Make sure that the otb version is the same value for the client version in both ItemEditor and RME.

ItemEditor

In the file:
../ItemEditor/Plugins/PluginThree.xml

It must be:
<client version="1077" description="Client 10.77" otbversion="56" datsignature="38DE" sprsignature="5525213D"/>

RME

In the file:
../RME/data/clients.xml

It must be:
<otb client="10.77" version="3" id="56"/>
 

dkangel83

Member
Joined
Mar 31, 2010
Messages
102
Best answers
0
Reaction score
8
Location
Brazil
Oh .. well mine just goes from 10.76 to 10.78

Code:
                ...
        <otb client="10.55" version="3" id="56"/>
        <otb client="10.76" version="3" id="57"/>
        <otb client="10.78" version="3" id="58"/>
        <otb client="10.79" version="3" id="59"/>
    </otbs>
also here

Code:
    <client name="10.76" otb="10.76" default="true" visible="true" data_directory="1076">
            <otbm version="3"/>
            <extensions from="8.20 - 8.31" to="10.76"/>
            <data format="10.70" dat="0x000037DF" spr="0x54F03CE9"/>
        </client>
       
        <client name="10.78" otb="10.78" default="true" visible="true" data_directory="1078">
            <otbm version="3"/>
            <extensions from="8.20 - 8.31" to="10.78"/>
            <data format="10.70" dat="0x000039CC" spr="0x554C7373"/>
        </client>
based on it i just added the line

Code:
        <client version="1078" description="Client 10.78" otbversion="58" datsignature="39CC" sprsignature="554C7373"/>
to be able to open 10.78 item.otbm and since i dont know much about.. could you please tell me, before i make mistake, is it fine to me to make changes, save and use?
 

Felipe93

Ghost Member
Joined
Mar 21, 2015
Messages
1,533
Best answers
9
Reaction score
226
Location
Chile
Anyone have this item editor for 7.72? im using 7.72 otx my items.otb are version 3 but when i try to load them i get
error could not laod dat or spr
cant not load error flag 0x88
help
 

PeteZa

 Magic Developer
Joined
Nov 2, 2014
Messages
91
Best answers
0
Reaction score
63
It only loads one item for some reason... Am I doing something wrong?

 

PeteZa

 Magic Developer
Joined
Nov 2, 2014
Messages
91
Best answers
0
Reaction score
63
I fixed, I was doing it wrong...

Quick question..
Is there a way to automatically add all items
that are missing or do I have to add them one by one?
 

silveralol

Advanced OT User
Joined
Mar 16, 2010
Messages
1,461
Best answers
8
Reaction score
184
It does not work if you add by yourself? Just edit the PluginThree.xml
sorry for the double post! but is important...
i'm getting a little error when I try update the otb to version 10.81, the editor create a new items using new sprites, but are with the wrong id.. look

these ids already is created in anothers items
 
Top